// Ville de Sang by Bloodlust
// www.bloodlustmods.com

main()
{
	ambientPlay("ambient_mp_dawnville");

	setcvar("sv_night", "0" );

	precacheing();

	maps\mp\_load::main();

	game["allies"] = "american";
	game["axis"] = "german";

	game["american_soldiertype"] = "airborne";
	game["american_soldiervariation"] = "normal";
	game["german_soldiertype"] = "fallschirmjagergrey";
	game["german_soldiervariation"] = "normal";

	game["attackers"] = "allies";
	game["defenders"] = "axis";
	
	game["layoutimage"] = "mp_villedesang.dds";
	game["hud_allies_victory_image"] = "gfx/hud/hud@mp_victory_villedesang_us.dds";
	game["hud_axis_victory_image"] = "gfx/hud/hud@mp_victory_villedesang_g.dds";
	game["dom_layoutimage"] = game["layoutimage"];

	//retrival settings
	level.obj["Code Book"] = (&"RE_OBJ_CODE_BOOK");
	level.obj["Field Radio"] = (&"RE_OBJ_FIELD_RADIO");
	game["re_attackers"] = "allies";
	game["re_defenders"] = "axis";
	game["re_attackers_obj_text"] = (&"RE_OBJ_CARENTAN_OBJ_ATTACKER");
	game["re_defenders_obj_text"] = (&"RE_OBJ_CARENTAN_OBJ_DEFENDER");
	game["re_spectator_obj_text"] = (&"RE_OBJ_CARENTAN_OBJ_SPECTATOR");
	game["re_attackers_intro_text"] = (&"RE_OBJ_CARENTAN_SPAWN_ATTACKER");
	game["re_defenders_intro_text"] = (&"RE_OBJ_CARENTAN_SPAWN_DEFENDER");

	//Flag Setup
	//There must be a set of the following for each flag in your map.
	flag1 = getent("flag1","targetname");			// identifies the flag you're setting up
	flag1.script_timer = 3;					// how many seconds a capture takes with one player
	flag1.description = ("the Destroyed House!");		// the name of the flag (localized in gmi_mp.str)

	flag2 = getent("flag2","targetname");
	flag2.script_timer = 5;
	flag2.description = ("the Armory!");

	flag3 = getent("flag3","targetname");
	flag3.script_timer = 7;
	flag3.description = ("the Church!");

	flag4 = getent("flag4","targetname");
	flag4.script_timer = 5;
	flag4.description = ("the Plane Crash Site!");

	flag5 = getent("flag5","targetname");
	flag5.script_timer = 3;
	flag5.description = ("the Headquarters!");

	thread mapfx();
}

precacheing()
{
	precachemodel("xmodel/mp_vehicle_sherman");
	precachemodel("xmodel/mp_vehicle_panzeriv");
	level._effect["planesmoke"] = loadfx("fx/smoke/smoke_plume_debree_lrg.efx");
	level._effect["tanksmoke"] = loadfx("fx/smoke/smoke_plume_debree.efx");
}

mapfx()
{
	planefx = getent("planecrash","targetname");
	maps\mp\_fx::loopfx("planesmoke", planefx.origin, 0.5);

	tankfx = getent("tanksmoke","targetname");
	maps\mp\_fx::loopfx("tanksmoke", tankfx.origin, 0.7);
}